package jp.dip.commonsense.android.mametalk;

import jp.dip.commonsense.android.provider.Mametalk;
import android.app.Dialog;
import android.content.Context;
import android.database.Cursor;
import android.widget.SimpleCursorAdapter;
import android.widget.Spinner;

import com.google.android.gtalkservice.IGTalkSession;

public class PresenceDialog extends Dialog {

	private IGTalkSession gtalkSession = null;
	
	public PresenceDialog(Context c, IGTalkSession session) {
		super(c);
		this.gtalkSession = session;
	}
    
	@Override
	protected void onStart() {
		super.onStart();
		setContentView(R.layout.presence_dialog);
		setTitle(GTalkUtils.getUserName(gtalkSession));
		fillData();
	}

	private void fillData() {
		Spinner spin = (Spinner) findViewById(R.id.presence_spinner);
        Cursor cursor = Mametalk.Presences.query(getContext().getContentResolver(), null);
		spin.setAdapter(new SimpleCursorAdapter(getContext(), android.R.layout.simple_spinner_dropdown_item,
				cursor, new String[] {Mametalk.Presences.STATUS}, new int[] {android.R.id.text1}));
        int status = GTalkUtils.getPresence(gtalkSession).getStatus();
		int numRows = cursor.count();
		cursor.first();
		for (int position = 0; position < numRows; ++position) {
			if (cursor.getInt(cursor.getColumnIndex(Mametalk.Presences.MODE)) == status) {
				spin.setSelection(position);
				break;
			}
			cursor.next();
		}
	}
	
	@Override
	protected void onStop() {
		super.onStop();
		Spinner spin = (Spinner)findViewById(R.id.presence_spinner);
		Cursor cur = (Cursor)spin.getSelectedItem();
		int mode = cur.getInt(cur.getColumnIndex(Mametalk.Presences.MODE));
		GTalkUtils.setPresence(gtalkSession, mode);
	}
}
